#### Description:

This function creates a new FitsTable and optionally initialises its attributes.

The FitsTable class is a representation of a FITS binary table. It inherits from the Table class. The parent Table is used to hold the binary data of the main table, and a FitsChan is used to hold the FITS header. Note, there is no provision for binary data following the main table (such data is referred to as a `"` heap`"` in the FITS standard).

Note - it is not recommended to use the FitsTable class to store very large tables.

#### Synopsis

AstFitsTable ∗astFitsTable( AstFitsChan ∗header, const char ∗options, ... )

#### Parameters:

##### header

Pointer to an optional FitsChan containing headers to be stored in the FitsTable. NULL may be supplied if the new FitsTable is to be left empty. If supplied, and if the headers describe columns of a FITS binary table, then equivalent (empty) columns are added to the FitsTable. Each column has the same index in the FitsTable that it has in the supplied header.

##### options

Pointer to a null-terminated string containing an optional comma-separated list of attribute assignments to be used for initialising the new FitsTable. The syntax used is identical to that for the astSet function and may include `"` printf`"` format specifiers identified by `"` %`"` symbols in the normal way.

##### ...

If the `"` options`"` string contains `"` %`"` format specifiers, then an optional list of additional arguments may follow it in order to supply values to be substituted for these specifiers. The rules for supplying these are identical to those for the astSet function (and for the C `"` printf`"` function).

#### Returned Value

##### astFitsTable()

A pointer to the new FitsTable.

#### Notes:

- A null Object pointer (AST__NULL) will be returned if this function is invoked with the AST error status set, or if it should fail for any reason.

#### Status Handling

The protected interface to this function includes an extra parameter at the end of the parameter list described above. This parameter is a pointer to the integer inherited status variable: `"` int ∗status`"` .
Copyright (C) 2021 East Asian Observatory